Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.jaxb.pom.generated
Class Profile

    java.lang.Object
      org.owasp.dependencycheck.jaxb.pom.generated.Profile

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public class Profile

extends Object

Modifications to the build process which is activated based on environmental parameters or command line arguments.

Java class for Profile complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Profile">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="id" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="activation" type="{http://maven.apache.org/POM/4.0.0}Activation" minOccurs="0"/>
             <element name="build" type="{http://maven.apache.org/POM/4.0.0}BuildBase" minOccurs="0"/>
             <element name="modules" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="module" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="repositories" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="repository" type="{http://maven.apache.org/POM/4.0.0}Repository" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="pluginRepositories" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="pluginRepository" type="{http://maven.apache.org/POM/4.0.0}Repository" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="dependencies" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="dependency" type="{http://maven.apache.org/POM/4.0.0}Dependency" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="reports" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <any processContents='skip' maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="reporting" type="{http://maven.apache.org/POM/4.0.0}Reporting" minOccurs="0"/>
             <element name="dependencyManagement" type="{http://maven.apache.org/POM/4.0.0}DependencyManagement" minOccurs="0"/>
             <element name="distributionManagement" type="{http://maven.apache.org/POM/4.0.0}DistributionManagement" minOccurs="0"/>
             <element name="properties" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <any processContents='skip' maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </all>
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static class` | `Profile.Dependencies` Java class for anonymous complex type.
`static class` | `Profile.Modules` Java class for anonymous complex type.
`static class` | `Profile.PluginRepositories` Java class for anonymous complex type.
`static class` | `Profile.Properties` Java class for anonymous complex type.
`static class` | `Profile.Reports` Java class for anonymous complex type.
`static class` | `Profile.Repositories` Java class for anonymous complex type.

Field Summary
`protected Activation` | `activation`
`protected BuildBase` | `build`
`protected Profile.Dependencies` | `dependencies`
`protected DependencyManagement` | `dependencyManagement`
`protected DistributionManagement` | `distributionManagement`
`protected String` | `id`
`protected Profile.Modules` | `modules`
`protected Profile.PluginRepositories` | `pluginRepositories`
`protected Profile.Properties` | `properties`
`protected Reporting` | `reporting`
`protected Profile.Reports` | `reports`
`protected Profile.Repositories` | `repositories`

Constructor Summary
`Profile()`

Method Summary
`Activation` | `getActivation()` Gets the value of the activation property.
`BuildBase` | `getBuild()` Gets the value of the build property.
`Profile.Dependencies` | `getDependencies()` Gets the value of the dependencies property.
`DependencyManagement` | `getDependencyManagement()` Gets the value of the dependencyManagement property.
`DistributionManagement` | `getDistributionManagement()` Gets the value of the distributionManagement property.
`String` | `getId()` Gets the value of the id property.
`Profile.Modules` | `getModules()` Gets the value of the modules property.
`Profile.PluginRepositories` | `getPluginRepositories()` Gets the value of the pluginRepositories property.
`Profile.Properties` | `getProperties()` Gets the value of the properties property.
`Reporting` | `getReporting()` Gets the value of the reporting property.
`Profile.Reports` | `getReports()` Gets the value of the reports property.
`Profile.Repositories` | `getRepositories()` Gets the value of the repositories property.
`void` | `setActivation(Activation value)` Sets the value of the activation property.
`void` | `setBuild(BuildBase value)` Sets the value of the build property.
`void` | `setDependencies(Profile.Dependencies value)` Sets the value of the dependencies property.
`void` | `setDependencyManagement(DependencyManagement value)` Sets the value of the dependencyManagement property.
`void` | `setDistributionManagement(DistributionManagement value)` Sets the value of the distributionManagement property.
`void` | `setId(String value)` Sets the value of the id property.
`void` | `setModules(Profile.Modules value)` Sets the value of the modules property.
`void` | `setPluginRepositories(Profile.PluginRepositories value)` Sets the value of the pluginRepositories property.
`void` | `setProperties(Profile.Properties value)` Sets the value of the properties property.
`void` | `setReporting(Reporting value)` Sets the value of the reporting property.
`void` | `setReports(Profile.Reports value)` Sets the value of the reports property.
`void` | `setRepositories(Profile.Repositories value)` Sets the value of the repositories property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String id

### activation

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Activation activation

### build

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected BuildBase build

### modules

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Profile.Modules modules

### repositories

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Profile.Repositories repositories

### pluginRepositories

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Profile.PluginRepositories pluginRepositories

### dependencies

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Profile.Dependencies dependencies

### reports

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Profile.Reports reports

### reporting

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Reporting reporting

### dependencyManagement

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected DependencyManagement dependencyManagement

### distributionManagement

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected DistributionManagement distributionManagement

### properties

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Profile.Properties properties

Constructor Detail

### Profile

    public Profile()

Method Detail

### getId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getId()

  Gets the value of the id property.

  Returns:
    possible object is `String`

### setId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setId(String value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `String`

### getActivation

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Activation getActivation()

  Gets the value of the activation property.

  Returns:
    possible object is `Activation`

### setActivation

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setActivation(Activation value)

  Sets the value of the activation property.

  Parameters:
    `value` - allowed object is `Activation`

### getBuild

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public BuildBase getBuild()

  Gets the value of the build property.

  Returns:
    possible object is `BuildBase`

### setBuild

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setBuild(BuildBase value)

  Sets the value of the build property.

  Parameters:
    `value` - allowed object is `BuildBase`

### getModules

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Profile.Modules getModules()

  Gets the value of the modules property.

  Returns:
    possible object is `Profile.Modules`

### setModules

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setModules(Profile.Modules value)

  Sets the value of the modules property.

  Parameters:
    `value` - allowed object is `Profile.Modules`

### getRepositories

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Profile.Repositories getRepositories()

  Gets the value of the repositories property.

  Returns:
    possible object is `Profile.Repositories`

### setRepositories

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setRepositories(Profile.Repositories value)

  Sets the value of the repositories property.

  Parameters:
    `value` - allowed object is `Profile.Repositories`

### getPluginRepositories

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Profile.PluginRepositories getPluginRepositories()

  Gets the value of the pluginRepositories property.

  Returns:
    possible object is `Profile.PluginRepositories`

### setPluginRepositories

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setPluginRepositories(Profile.PluginRepositories value)

  Sets the value of the pluginRepositories property.

  Parameters:
    `value` - allowed object is `Profile.PluginRepositories`

### getDependencies

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Profile.Dependencies getDependencies()

  Gets the value of the dependencies property.

  Returns:
    possible object is `Profile.Dependencies`

### setDependencies

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setDependencies(Profile.Dependencies value)

  Sets the value of the dependencies property.

  Parameters:
    `value` - allowed object is `Profile.Dependencies`

### getReports

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Profile.Reports getReports()

  Gets the value of the reports property.

  Returns:
    possible object is `Profile.Reports`

### setReports

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setReports(Profile.Reports value)

  Sets the value of the reports property.

  Parameters:
    `value` - allowed object is `Profile.Reports`

### getReporting

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Reporting getReporting()

  Gets the value of the reporting property.

  Returns:
    possible object is `Reporting`

### setReporting

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setReporting(Reporting value)

  Sets the value of the reporting property.

  Parameters:
    `value` - allowed object is `Reporting`

### getDependencyManagement

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public DependencyManagement getDependencyManagement()

  Gets the value of the dependencyManagement property.

  Returns:
    possible object is `DependencyManagement`

### setDependencyManagement

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setDependencyManagement(DependencyManagement value)

  Sets the value of the dependencyManagement property.

  Parameters:
    `value` - allowed object is `DependencyManagement`

### getDistributionManagement

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public DistributionManagement getDistributionManagement()

  Gets the value of the distributionManagement property.

  Returns:
    possible object is `DistributionManagement`

### setDistributionManagement

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setDistributionManagement(DistributionManagement value)

  Sets the value of the distributionManagement property.

  Parameters:
    `value` - allowed object is `DistributionManagement`

### getProperties

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Profile.Properties getProperties()

  Gets the value of the properties property.

  Returns:
    possible object is `Profile.Properties`

### setProperties

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setProperties(Profile.Properties value)

  Sets the value of the properties property.

  Parameters:
    `value` - allowed object is `Profile.Properties`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.